Package org.eclipse.m2m.atl.engine.emfvm

# Class AtlSuperimposeModule.AtlSuperimposeModuleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.m2m.atl.engine.emfvm.AtlSuperimposeModule.AtlSuperimposeModuleException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  AtlSuperimposeModule

public class AtlSuperimposeModule.AtlSuperimposeModuleException extends Exception
General exception for applying ATL module superimposition. Used in ASM adaptation sanity check.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AtlSuperimposeModuleException(String msg)`
Creates a new AtlSuperimposeModuleException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AtlSuperimposeModuleException

public AtlSuperimposeModuleException(String msg)
Creates a new AtlSuperimposeModuleException.

Parameters:
  `msg` - Exception message